
QGIS Application - Bug report #1001

Unique Column with Primary Key in PostGIS View is not correct detected

2008-03-19 08:24 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11061

Description

A correct defined [[PostGIS]] View with Unique INT4 Primarey Key column is not loadable with Rev. 8246. The exactly same view works

with Rev. 8213 without error.

QGIS shows a message box with:

....

Note: 'ogc_fid' initially appeared suitable but does not contain unique data, 

so is not suitable'

....

ogc_fid is unique and has a primary key.

Associated revisions

Revision 7a634b12 - 2008-03-19 05:40 PM - Jürgen Fischer

fix #1001 introduced with r8233

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8248 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision af1b88d8 - 2008-03-19 05:40 PM - Jürgen Fischer

fix #1001 introduced with r8233

git-svn-id: http://svn.osgeo.org/qgis/trunk@8248 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-19 09:42 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

introduced with , fixed in

#2 - 2008-03-19 09:57 AM - Horst Düster
http://svn.osgeo.org/qgis/trunk/qgis@8248
http://svn.osgeo.org/qgis/trunk@8248


Replying to [comment:2 jef]:

introduced with , fixed in

Thank you for your fast solution!!

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
